pushd "%~dp0"
echo Stopping Windows Setup services...
start /wait net stop imdsksvc
start /wait net stop awealloc
start /wait net stop imdisk
echo Installing drivers...
rundll32 setupapi.dll,InstallHinfSection DefaultInstall 132 ..\firadisk\imdisk.inf
if not %errorlevel%==0 (
echo Setup Support failed to install drivers. Try to reboot the computer and then run Windows setup again.
goto :eof
)
start /wait net start imdsksvc
start /wait net start imdisk
echo Driver installed successfully
popd
